View Issue Details

IDProjectCategoryView StatusLast Update
0000218FreeCADBugpublic2011-02-13 18:06
ReportertremblouAssigned Toyorik 
PrioritynormalSeverityblockReproducibilityalways
Status closedResolutionfixed 
Product Version0.11 
Target VersionFixed in Version0.12 
Summary0000218: CPU 100% when snapping
DescriptionWhen you try to "snap"(ctrl) an object with in the design there an complex face the program start to calculate at 100% to find the good position.

Path:

- Create a complex face (lot of wire closed)
- Create a line or arc or...
- Try to hold ctrl inside the face when you hold ctrl.

Additional InformationAll done without command line.
TagsNo tags attached.

Relationships

parent of 0000266 closedyorik Snapping + Ctrl does not work in 3D 

Activities

yorik

2010-12-16 13:37

administrator   ~0000457

Hm indeed I can confirm this, when you have a very complex face or wire (specially with arcs inside) it takes a long time to calculate the snap positions.
I'll have a look at this, see if I can optimize somehow.

unauthenticated

2010-12-16 17:03

viewer   ~0000459

Great tank you

yorik

2011-02-13 18:06

administrator   ~0000613

this is hopefully fixed in r4056. Instead of calculating snap points for the whole object being snapped, the snap function now only scans the edge under the cursor, making snapping on complex objects much, much faster and lighter on system resources.

I'll close this for now, don't hesitate to reopen if a related problem shows up...

Issue History

Date Modified Username Field Change
2010-12-15 20:26 tremblou New Issue
2010-12-16 13:37 yorik Note Added: 0000457
2010-12-16 13:37 yorik Status new => assigned
2010-12-16 13:37 yorik Assigned To => yorik
2010-12-16 17:03 unauthenticated Note Added: 0000459
2011-02-13 18:06 yorik Note Added: 0000613
2011-02-13 18:06 yorik Status assigned => closed
2011-02-13 18:06 yorik Resolution open => fixed
2011-02-13 18:06 yorik Fixed in Version => 0.12
2011-02-13 18:22 yorik Relationship added parent of 0000266